%define fcpackage_version 2_0
%define freetype2_version 2.1.2

Name: fontconfig
Version: 2.0
Release: alt12

Summary: Font configuration and customization library & utilities
Group: System/Configuration/Other
License: MIT
URL: http://keithp.com/fonts

Obsoletes: lib%name
Provides: lib%name = %version-%release

Source: http://keithp.com/fonts/pub/fcpackage.%fcpackage_version.tar.gz
# ALT fonts.conf
Source1: fonts.conf

# Patches from RH
Patch1: fontconfig-0.0.1.020811.1151-slighthint.patch
# Blacklist certain fonts that freetype can't handle
Patch2: fontconfig-0.0.1.020826.1330-blacklist.patch
# Patch from Keith Packard to fix problem where 
# subdirectories could get lost from ~/.fonts.cache
Patch3: fontconfig-2.0-subdir.patch
# ru.orth fix by ALT
Patch4: fontconfig-2.0-alt-ru.patch


# Automatically added by buildreq on Wed Sep 18 2002
BuildRequires: XFree86-devel coreutils ed freetype2-devel libexpat-devel

BuildRequires: freetype2-devel >= %freetype2_version

%description
Fontconfig is designed to locate fonts within the
system and select them according to requirements specified by
applications.

%package devel
Summary: Development files for font configuration and customization library
Group: Development/C
Requires: %name = %version-%release

%description devel
The fontconfig-devel package includes the header files,
and developer docs for the fontconfig package.

Install fontconfig-devel if you want to develop programs which
will use fontconfig.

%prep
%setup -q -n fcpackage.%fcpackage_version/fontconfig
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p2

%build
%configure
%make_build

cd fc-lang
xmkmf
LD_PRELOAD=$RPM_BUILD_DIR/fcpackage.%fcpackage_version/fontconfig/src/libfontconfig.so.1 make BUILDLIBDIR=$RPM_BUILD_DIR/fcpackage.%fcpackage_version/fontconfig/src
cd -
#make clean
rm -f src/fclang.o

%make_build

%install
make install DESTDIR=$RPM_BUILD_ROOT
cp %{SOURCE1} $RPM_BUILD_ROOT/etc/fonts
mkdir -p $RPM_BUILD_ROOT%_mandir/man3
install -m 0644 src/fontconfig.man $RPM_BUILD_ROOT%_mandir/man3/fontconfig.3

%post -p %post_ldconfig
# Comment from RH maitainer:
# Force regeneration of all fontconfig cache files.
# The redirect is because fc-cache is giving warnings about ~/fc.cache
# the HOME setting is to avoid problems if HOME hasn't been reset
HOME=/root fc-cache -f 2>/dev/null

%postun -p %postun_ldconfig

%files
%doc README AUTHORS COPYING
%_bindir/fc-cache
%_bindir/fc-list
%dir %_sysconfdir/fonts
%_sysconfdir/fonts/fonts.dtd
%config %_sysconfdir/fonts/fonts.conf
%_libdir/libfontconfig.so.*

%files devel
%_libdir/libfontconfig.so
%_libdir/pkgconfig/fontconfig*
%_includedir/fontconfig
%_bindir/fontconfig-config
%_mandir/man3/fontconfig.3*

%changelog
* Fri Jan 17 2003 AEN <aen@altlinux.ru> 2.0-alt12
- desplitting

* Sun Jan 05 2003 AEN <aen@altlinux.ru> 2.0-alt11
- lib%name required %name

* Wed Nov 20 2002 AEN <aen@altlinux.ru> 2.0-alt10
- path to jdk-fonts added to fonts.conf

* Wed Nov 20 2002 Mikhail Zabaluev <mhz@altlinux.ru> 2.0-alt9.1mhz
- libification (again)
- remove src/fclang.o to rebuild just it instead of all-out make clean

* Wed Nov 13 2002 AEN <aen@altlinux.ru> 2.0-alt9
- build fixed

* Tue Oct 15 2002 AEN <aen@altlinux.ru> 2.0-alt8
- XLinSans & CourierCyr added to fonts.conf 

* Fri Oct 11 2002 AEN <aen@altlinux.ru> 2.0-alt7
- fonts.conf changed again

* Thu Oct 10 2002 AEN <aen@altlinux.ru> 2.0-alt6
- ru.orth fix 
- lang.h build

* Tue Oct 08 2002 AEN <aen@altlinux.ru> 2.0-alt5
- gww-ttf removed from fonts.conf

* Fri Oct 04 2002 AEN <aen@altlinux.ru> 2.0-alt4
- fonts.conf fixed

* Fri Oct 04 2002 AEN <aen@altlinux.ru> 2.0-alt3
- patches & %post from RH

* Mon Sep 23 2002 AEN <aen@altlinux.ru> 2.0-alt2
- %files fixed

* Wed Sep 18 2002 AEN <aen@altlinux.ru> 2.0-alt1
- release

* Tue Jul 02 2002 AEN <aen@logic.ru> 0.0.1-alt1
- first build for Sisyphus
- config patch (alt specific)

* Tue Jun 18 2002 Owen Taylor <otaylor@redhat.com>
- Fix crash from FcObjectSetAdd

* Tue Jun 11 2002 Owen Taylor <otaylor@redhat.com>
- make fonts.conf %%config, not %%config(noreplace)
- Another try at the CJK aliases
- Add some CJK fonts to the config
- Prefer Luxi Mono to Nimbus Mono

* Mon Jun 10 2002 Owen Taylor <otaylor@redhat.com>
- New upstream version
- Fix matching for bitmap fonts

* Mon Jun  3 2002 Owen Taylor <otaylor@redhat.com>
- New version, new upstream mega-tarball

* Tue May 28 2002 Owen Taylor <otaylor@redhat.com>
- Fix problem with FcConfigSort

* Fri May 24 2002 Owen Taylor <otaylor@redhat.com>
- Initial specfile

